Rails 2.3.2アプリとレール3アプリを同じマシンにインストールする

私は最新のRails v3.1.3にアップグレードしました。そしてすべてがうまくいけば、v3.1.3のためにあるウェブサイトの2.3バージョンをそして動かすことができます。

しかし、私は新しいマシンに移動することはできませんでしたので、必要なすべての宝石を

bundle install

2.3.2バージョンではThinを起動できません。私はv3のアプリケーションしか動かすことができません。ありがとう

0

2 答え

RVM についての説明を読んで、そこにある指示に従ってマシンを構成してみてください。

2
追加された
ありがとう、私はこのビデオを見つけ、 screencasts.org/episodes/how-to -use-rvm
追加された 著者 valk,

@Syed Aslamは RVM を使用するのが理想的だと言っていましたが、Rails 2にバンドラを設定することができます.xプロジェクト(これは既にrails 3.xがbundler ..を持っているため)と同じマシンで両方のプロジェクトを実行します(実際には私はそれをやっています)。

以下は、 Rails 2.x でバンドルを設定する方法のチュートリアルです。

1
追加された
答えをありがとう!
追加された 著者 valk,